Bug 427894 - XMLRPC function getBugModified
XMLRPC function getBugModified
Status: CLOSED NEXTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.2
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: Noura El hawary
:
Depends On:
Blocks: RHBZ30UpgradeTracker 406131 427053
  Show dependency treegraph
 
Reported: 2008-01-07 21:02 EST by Noura El hawary
Modified: 2013-06-24 00:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 16:36:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noura El hawary 2008-01-07 21:02:33 EST
write xmlrpc function getBugModified that is to be contributed to the upstream.
Please refer to the following url for details on Bugzilla::RPC 2.18 functions mapped to upstream Bugzilla::WebService and for 2.18 xmlrpc functions sorted by percentage of calls: https://engineering.redhat.com/trac/bugzilla-3.0-rh/wiki/XmlrpcCrossComparison#a2.18xmlrpcfunctionssortedbypercentageofcalls
Comment 1 David Lawrence 2008-03-18 16:33:34 EDT
This feature is included now in Milestone 2. Any bugs found with this feature
should be file as a new report and set to block the 3.2 final release tracker.
Comment 2 Noura El hawary 2008-03-20 07:13:01 EDT
Just a thought ,, As this function is one of the highly used functions in our
xmlrpc interface,, Maybe in the WebSerivce Interface for 3.2 we can include it
in Bug.get() ,, so we will pass delta_ts or creation_ts  in the fields hash
where we specify the fields we want in return. or maybe we can pass:
last_modified in the fields array so we would get either delta_ts or creation_ts
if the bug is newly created ?

$rpc->call('Bug.get', { ids => [1,2], fields => ['last_modified']});

or we can have it as a separate function called Bug.get_last_modified
$rpc->call('Bug.get_last_modified', { ids => [1,2]});

Thought?

Noura
Comment 3 Kevin Baker 2008-03-20 09:52:23 EDT
better to discuss this upstream I think. 

 1) this is derived information from two existing fields. I'd
    be careful about doing that. Don't they mean different 
    things? If a bug is new then delta_ts will be empty. It 
    was never modified. 
 2) yet another xmlrpc function? my vote is to use Bug.get
Comment 4 David Lawrence 2008-03-25 16:58:06 EDT
(In reply to comment #2)
> Just a thought ,, As this function is one of the highly used functions in our
> xmlrpc interface,, Maybe in the WebSerivce Interface for 3.2 we can include it
> in Bug.get() ,, so we will pass delta_ts or creation_ts  in the fields hash
> where we specify the fields we want in return. or maybe we can pass:
> last_modified in the fields array so we would get either delta_ts or creation_ts
> if the bug is newly created ?
> 
> $rpc->call('Bug.get', { ids => [1,2], fields => ['last_modified']});
> 
> or we can have it as a separate function called Bug.get_last_modified
> $rpc->call('Bug.get_last_modified', { ids => [1,2]});
> 
> Thought?
> 
> Noura

I agree with Kevin. I do not see a need for another function here. I think
making Bug.get return either delta_ts or creation_ts for a new bug will be
sufficient. Also creating an alias called 'last_modified' would be useful
so that people will not need to specify 'delta_ts' and 'creation_ts' manually to
get the information they are looking for.

Dave

Note You need to log in before you can comment on or make changes to this bug.